import 'package:dio/dio.dart';
import '../utils/Request.dart';
import 'package:fluttertoast/fluttertoast.dart';

/// 作业列表
/// @param {*} data
/// @returns
Future getJobList() async {
  return request('/work-job', options: Options(method: 'GET'))
      .catchError((error) => {
            Fluttertoast.showToast(msg: error.error['message']),
          });
}

/// 作业详情
/// @param {*} data
/// @returns
Future getJobDetail(String id) async {
  return request('/work-job',
          options: Options(method: 'GET'), queryParameters: {'id': id})
      .catchError((error) => {
            Fluttertoast.showToast(msg: error.error['message']),
          });
}
